std::is_pod(3)

NAME
std::is_pod - std::is_pod

Synopsis
   Defined in header <type_traits>
   template< class T > (since C++11)
   struct is_pod; (deprecated in C++20)
   If T is a POD type ("plain old data type"), provides the member constant value equal
   to true. For any other type, value is false.
   The behavior is undefined if std::remove_all_extents_t<T> is an incomplete type and
   not (possibly cv-qualified) void.
   The behavior of a program that adds specializations for is_pod
   or is_pod_v
   (since C++17) is undefined.

Template parameters
   T - a type to check
  Helper variable template
   template< class T > (since C++17)
   inline constexpr bool is_pod_v = is_pod<T>::value; (deprecated in C++20) Inherited from std::integral_constant

Member constants
   value true if T is a POD type , false otherwise
   [static] (public static member constant)

Member functions
   operator bool converts the object to bool, returns value
                 (public member function)
   operator() returns value
   (C++14) (public member function)

Member types
   Type Definition
   value_type bool
   type std::integral_constant<bool, value>

Example
// Run this code
 #include <iostream>
 #include <type_traits>
 struct A
 {
     int m;
 };
 struct B
 {
     int m1;
 private:
     int m2;
 };
 struct C
 {
     virtual void foo();
 };
 int main()
 {
     std::cout << std::boolalpha;
     std::cout << std::is_pod<A>::value << '\n';
     std::cout << std::is_pod<B>::value << '\n';
     std::cout << std::is_pod<C>::value << '\n';
 }

Output:
 true
 false
 false

See also
   is_standard_layout checks if a type is a standard-layout type
   (C++11) (class template)
   is_trivial checks if a type is trivial
   (C++11) (class template)